import 'package:docx/docx.dart';
import 'dart:io';
import 'package:docx/replace.dart';

void main(List<String> args) {
    DocxEditor docx = DocxEditor(File('test/assets/docx_test.docx'), {
      'Title': ReplaceContent(value: 'NewTitle'),
      'A': ReplaceContent(value: 'AModified'),
      'ImageCat': ReplaceContent(img: DocxImage(file: File('test/assets/cat.png'), sizeX: 200, sizeY: 400)),
      'ImageDog': ReplaceContent(img: DocxImage(file: File('test/assets/dog.png'), sizeX: 400, sizeY: 300)),
      'Footer': ReplaceContent(img: DocxImage(file: File('test/assets/dog.jpg'), sizeX: 400, sizeY: 300))
    });
}
