import 'package:docx/docx.dart';
import 'package:docx/replace.dart';
import 'package:test/test.dart';

import 'dart:io';

void main() {
  test('Try to generate a file without error', () {
    DocxEditor docx = DocxEditor(File('test/assets/docx_test.docx'), {
      'Title': ReplaceContent(value: 'NewTitle'),
      'A': ReplaceContent(value: 'AModified'),
      'Image-Chat': ReplaceContent(img: DocxImage(file: File('test/assets/cat.png'), sizeX: 200, sizeY: 400)),
      'Image-Dog': ReplaceContent(img: DocxImage(file: File('test/assets/dog.png'), sizeX: 400, sizeY: 300)),
      'Footer': ReplaceContent(img: DocxImage(file: File('test/assets/dog.jpg'), sizeX: 400, sizeY: 300))
    });
  });
}
